List vulnerability exemptions in a profile
curl --request GET \
--url https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.api.plerion.com/v1/tenant/profiles/{profileId}/vulnerability/exemptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"exemptionId": "550e8400-e29b-41d4-a716-446655440000",
"profileId": "123e4567-e89b-12d3-a456-426614174000",
"name": "Critical Patch Exemption",
"auditNote": "Accepted risk due to compensating controls.",
"reason": "COMPENSATING_CONTROL",
"conditions": {
"vulnerabilityIds": [
"CVE-2023-12345"
],
"assetGroupIds": [
"asset-group-123"
],
"assetIds": [
"prn:assets:afeb4e5f-0370-4b43-8e37-7e4efc719358:aws:ec2:instance:ap-southeast-2:i-085a328dba59f229b"
],
"assetRegions": [
"us-east-1"
],
"assetTags": [
{
"key": "environment",
"value": "production"
}
],
"noVendorFix": true,
"hasKev": true,
"hasExploit": true
},
"createdAt": "2023-10-01T12:00:00Z",
"updatedAt": "2023-10-02T14:30:00Z",
"createdBy": "user@example.com",
"updatedBy": "user@example.com"
}
],
"meta": {
"hasNext": true,
"nextCursor": "k3d83a9b-k3dk-5lkd-2ldk-9kd77c1beb6",
"total": 42
}
}{
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"message": "Internal server error"
}List vulnerability exemptions in a profile
Lists all vulnerability exemptions scoped to the given profile with pagination support.
GET
/
v1
/
tenant
/
profiles
/
{profileId}
/
vulnerability
/
exemptions
List vulnerability exemptions in a profile
Authorizations
Bearer API Key. For example, "Bearer {Tenant API Key}"
Headers
Bearer API Key. For example, "Bearer {Tenant API Key}"
Path Parameters
Profile ID (UUID) or the literal string "default" for the default profile.
Query Parameters
Maximum number of exemptions to return per page
Required range:
1 <= x <= 1000Example:
10
Cursor for pagination. Get the next batch of exemptions.
Example:
"k3d83a9b-k3dk-5lkd-2ldk-9kd77c1beb6"
Was this page helpful?
⌘I